{% extends 'base.html.twig' %}

{% block title %}Administration{% endblock %}

{% block stylesheets %}
	<link rel="stylesheet" href="{{asset('css/admin.css')}}">
{% endblock %}

{% block body %}

	<main>
		<div class="comBox">
			<div class="comAttente">
				<h3>Commentaires en attente de validation :</h3>
				{% for commentaire in commentaires %}
					{% if commentaire.etat == 0 %}
						<div class="commentaire">
							<div class="image">
								<img src="{{ asset('assets/commentaires.png') }}">
							</div>
							<div class="content">
								<div>
									<p>{{ commentaire.nom }}</p>
									<p>{{ commentaire.jour ? commentaire.jour|date('Y-m-d') : '' }}</p>
									<a href="/commentaire/{{ commentaire.id }}/valide">Valider</a>
									{{ include('admin/commentaires_delete_form.html.twig') }}
								</div>
								<p>{{ commentaire.message }}</p>
							</div>
						</div>
					{% endif %}
				{% endfor %}
			</div>
			<div class="comValide">
				<h3>Commentaire validés :</h3>
				{% for commentaire in commentaires %}
					{% if commentaire.etat == 1 %}
						<div class="commentaire">
							<div class="image">
								<img src="{{ asset('assets/commentaires.png') }}">
							</div>
							<div class="content">
								<div>
									<p>{{ commentaire.nom }}</p>
									<p>{{ commentaire.jour ? commentaire.jour|date('Y-m-d') : '' }}</p>
									{{ include('admin/commentaires_delete_form.html.twig') }}
								</div>
								<p>{{ commentaire.message }}</p>
							</div>
						</div>
					{% endif %}
				{% endfor %}
			</div>
		</div>
		<h3>Informations générales :</h3>
		<div class="infosBox">
			{{ include('admin/_form.html.twig', {'button_label': 'Update'}) }}
		</div>

		{% for animation in animations %}
            <tr>
                <p>{{ animation.id }}</p>
                <p>{{ animation.image }}</p>
                <p>{{ animation.titre }}</p>
                <p>{{ animation.description }}</p>
                <p>{{ animation.video }}</p>
                <a href="{{ path('app_animations_edit', {'id': animation.id}) }}">edit</a>
		{% endfor %}
	</main>

{% endblock %}
